internal::forwarding_base Struct Referenceabstract

`#include <_flow_graph_join_impl.h>`

Inheritance diagram for internal::forwarding_base:
Collaboration diagram for internal::forwarding_base:

## Public Member Functions

| forwarding_base (graph &g)
virtual | ~forwarding_base ()
virtual task * | decrement_port_count (bool handle_task)=0
virtual void | increment_port_count ()=0
Public Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Public Attributes

graph & | graph_ref

## Detailed Description

Definition at line 26 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## forwarding_base()

internal::forwarding_base::forwarding_base | ( | graph & | g | ) |

inline

Definition at line 27 of file _flow_graph_join_impl.h.

: graph_ref(g) {}
internal::forwarding_base::graph_ref
graph & graph_ref
Definition: _flow_graph_join_impl.h:34

## ~forwarding_base()

virtual internal::forwarding_base::~forwarding_base | ( |  | ) |

inline virtual

Definition at line 28 of file _flow_graph_join_impl.h.

{}

## Member Function Documentation

## decrement_port_count()

virtual task* internal::forwarding_base::decrement_port_count | ( | bool | handle_task | ) |

pure virtual

Implemented in internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >, internal::join_node_FE< queueing, InputTuple, OutputTuple >, and internal::join_node_FE< reserving, InputTuple, OutputTuple >.

Referenced by internal::queueing_port< T >::handle_operations(), and internal::reserving_port< T >::handle_operations().

Here is the caller graph for this function:

## increment_port_count()

virtual void internal::forwarding_base::increment_port_count | ( |  | ) |

pure virtual

Implemented in internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >, internal::join_node_FE< queueing, InputTuple, OutputTuple >, and internal::join_node_FE< reserving, InputTuple, OutputTuple >.

Referenced by internal::reserving_port< T >::handle_operations().

Here is the caller graph for this function:

## Member Data Documentation

## graph_ref

graph& internal::forwarding_base::graph_ref

Definition at line 34 of file _flow_graph_join_impl.h.

Referenced by internal::reserving_port< T >::graph_reference(), internal::queueing_port< T >::graph_reference(), and internal::key_matching_port< TraitsType >::graph_reference().

The documentation for this struct was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.